package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tgf;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TgfMapper {
    int insert(Tgf record);

    int insertSelective(Tgf record);

    int updateByPrimaryKeySelective(Tgf record);

    int updateByPrimaryKey(Tgf record);

    int deleteByPrimaryKey(Tgf record);

    int deleteByIds(Collection<Object> collection);

    Tgf selectByPrimaryKey(Tgf record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tgf> dyncRead(Map<String, Object> dyncMap);

    Tgf selectByObjInfo(Tgf newtge);

    List<Tgf> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr (@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tgf> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tgf> entities);
}
